=== debian/changelog ===
unity (7.2.5+14.04.20150521.1-0ubuntu2-linuxmuster-systray1) trusty; urgency=medium

  [ Dominik Foerderer ]
  * Reenable Trayicons

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Mon, 8 Jun 2015 14:38:01 +0100

unity (7.2.5+14.04.20150521.1-0ubuntu1) trusty; urgency=medium

  [ Chris Townsend ]
  * Releasing 7.2.5.
  * Bump version to 7.2.5.
  * Use a 2 second delay before showing the first run shortcut hints to
    workaround a race condition on input handling. (LP: #1313597)

  [ Andrea Azzarone ]
  * Add the possibility to specify the font size and the font weight
    without chaning the default font name. (LP: #886478)
  * Do not restore focus if a quicklist is opened during launcher key
    navigation. (LP: #932486)
  * Draw osk above unity shell. (LP: #1413165)
  * Forward first key event that happens on top of the blank window to
    the lockscreen. (LP: #1308265)
  * Make sure scope_views_[filter.id] exists before using operator[] on
    it. (LP: #926979)
  * Release pointer barrier if launcher is in lock_hide state. (LP:
    #1029114)

  [ Brandon Schaefer ]
  * When we quit the quicklist it would check if the mouse was over the
    launcher, if it wasn't it would fold the launcher. We don't need to
    check this if we are in keynav as we want all the icons to be
    unfolded. (LP: #1246891)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Stephen M. Webb ]
  * AP tests: accounted for arbitrarily-raised exceptions in checking
    scaled windows (LP: #1436095)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 21 May 2015 15:07:15 +0000

unity (7.2.4+14.04.20150316-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Avoid running potentially dangerous code paths when the screen is
    locked. (LP: #1410582)
  * Ungrab the shoutdown dialog as soon as possible. (LP: #1398287)
  * Use COMPIZ_METAKEY where needed. (LP: #1363534)
  * disabled Pointer Barriers during lockscreen (LP: #1401911)
  * disabled markup for VolumeLauncherIcon quicklist menu items (LP:
    #1413411)
  * enable Dash, Hud, and session dialogs over full screen window (LP:
    #1159249, #860970, #1413773, #1404486)
  * made unity unlockable if user is in nopsswdlogin group (LP:
    #1413790)
  * skipped the animation of BGHash on startup to prevent unwanted fade-
    in (LP: #1241757)

  [ Luke Yelavich ]
  * extended accessible exploration of the Dash dynamic content (LP:
    #1066157)

  [ Marco Trevisan (Treviño) ]
  * MenuManager: make sure menus are always shown when mouse is over
    them or when the always-show-menus option is on (LP: #955193,
    #1390562, #1374942, #1312137)
  * PanelService: use gdbus to notfy upstart of service start/stop (LP:
    #1302955)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 16 Mar 2015 17:30:35 +0000

unity (7.2.4+14.04.20141217-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Share lockscreen password between screens (lp: #1308540)
  * Allow a distinct pam config file for greeter and for lock-screen.
    (lp: #1305440)
  * Add an arrow activator in the lockscreen. (lp: #1332509)
  * Make sure GetScreenGeometry returns the correct value (lp: #1374785).
  * unmapped all windows prior to shutdown (lp: #1370017) (lp: #1375271)

  [ Brandon Schaefer ]
  * fix tooltip for the "Show Desktop / Restore Windows" icon in the Alt-Tab
    switcher (lp: #1237132)
  * Use CONFIG instead of CACHE to store the first_run.stamp (lp: #1328677)

  [ Eleni Maria Stea ]
  * LayoutSystem: make sure the exposed open windows are displayed in the
    preserved order (lp: #1349281).

  [ handsome_feng ]
  * added support for getting the distro name from /etc/os-release
    (lp: #1329584)

  [ Iain Lane ]
  * When grabbing keys, try prefixing "XF86" if the key isn't found. GNOME
    gives us unprefixed keys sometimes (lp: #1302885).

  [ Marco Trevisan (Treviño) ]
  * make the Launcher icon count badge width depend on the text value width
    and scaling (lp: #1353070) (lp: #1354498) (lp: #796527) (lp: #1066971)
    (lp: #1361713)
  * DecoratedWindow: make edges independent from borders and properly update
    them on actions change (lp: #1276177), (lp: #1299741), (lp: #1301776),
    (lp: #1324104), (lp: #1364225), (lp: #1373695)
  * Lockscreen: scale the UI elements based on current monitor scaling
    (lp: #1292218)
  * UnityScreen: when filtering out windows in spread, make sure we unscale
    them (lp: #1316265).
  * PanelMenuView: ensure that proper window tiles and buttons are shown at
    the right place (lp: #1384910) (lp: #1384958) (lp: #1385285)
  * SearchBar, ActionButtons, IconRenderer: include the font scaling when
    scaling textual items (lp: #1332947) (lp: #1361751) (lp: #1362162)
    (lp: #1362346).
  * ApplicationLauncherIcon: make sure we close the dash if DnD is accepted
    and the application window is about to be focused (lp: #1350331).
  * SwitcherView: set progress on icon render args (lp: #1361679).
  * LockScreenController: wait for the primary shield to get the grab
    before setting the session locked (lp: #1368427) (lp: #1371764).
  * added decorations to windows in non-focused workspaces (lp: #1383468)

  [ Stephen M. Webb ]
  * updated the unity(1) manpage to match the actual command (lp: #1059275)
  * bumped package version to match upstream

  [ Marco Trevisan (Treviño) ]
  * Preparing for unity 7.2.4

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Dec 2014 20:52:10 +0000

unity (7.2.3+14.04.20140826-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power

