=== debian/control ===
Source: unity
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               compiz-dev (>= 1:0.9.11),
               debhelper (>= 9.0.0~),
               dbus-test-runner,
               dh-migrations,
               dh-translations (>= 94),
               google-mock (>= 1.6.0+svn437),
               gsettings-desktop-schemas-dev,
               gsettings-ubuntu-schemas (>= 0.0.1+14.04.20140219),
               intltool (>= 0.35.0),
               libatk1.0-dev,
               libbamf3-dev (>= 0.5.0+13.10.20130731),
               libboost-dev,
               libcairo2-dev,
               libdbus-1-dev,
               libdbusmenu-glib-dev (>= 0.3.91),
               libdee-dev (>= 1.2.6),
               libgee-dev (>= 0.5.0),
               libgeis-dev (>= 2.0.10),
               libgl1-mesa-dri,
               libglib2.0-dev (>= 2.39.1),
               libgnome-desktop-3-dev,
               libgtest-dev,
               libgtk-3-dev (>= 3.1),
               libido3-0.1-dev (>= 13.10.0),
               libindicator-dev (>= 0.12.2),
               libindicator3-dev (>= 0.12.2),
               libjson-glib-dev,
               libjson-perl,
               libnotify-dev,
               libnux-4.0-dev (>= 4.0.6),
               libpam0g-dev,
               libpango1.0-dev,
               libsigc++-2.0-dev,
               libstartup-notification0-dev,
               libunique-dev,
               libunity-dev (>= 7.1.0),
               libunity-misc-dev (>= 4.0.4),
               libupstart-dev,
               libxcb-icccm4-dev,
               libxfixes-dev (>= 1:5.0.1),
               libxi-dev (>= 2:1.7.1.901),
               libxpathselect-dev (>=1.4),
               libzeitgeist-2.0-dev,
               pkg-config,
               python (>= 2.7),
               python-setuptools,
               quilt,
               xserver-xorg-video-dummy,
               xsltproc,
Standards-Version: 3.9.5
Homepage: https://launchpad.net/unity
# If you aren't a member of ~unity-team but need to upload packaging changes,
# just go ahead.  ~unity-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~unity-team/unity/trunk

Package: unity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libunity-core-6.0-9 (= ${binary:Version}),
         compiz,
         compiz-core, compiz-core-abiversion-${coreabiversion},
         libnux-abiversion-${nuxabiversion},
         compiz-plugins-default,
         libglib2.0-bin,
         nux-tools,
         dconf-cli,
         unity-asset-pool (>= 0.8.18),
         unity-greeter,
         bamfdaemon,
         libxfixes3 (>= 1:5.0.1-1),
         libxi6 (>= 2:1.7.1.901),
	 unity-scope-home,
Provides: indicator-renderer
Recommends: unity-control-center,
            ${unity-default-masterscopes}
            indicator-appmenu,
            indicator-application,
            indicator-sound,
            indicator-bluetooth,
            indicator-datetime,
            indicator-keyboard,
            indicator-messages,
            indicator-printers,
            indicator-power,
            indicator-session,
            telepathy-indicator,
            hud,
Breaks: unity-lens-applications (<< 5.12.0-0ubuntu2),
        unity-lens-files (<< 5.10.0-0ubuntu2),
        unity-lens-music (<< 6.0.0),
        unity-lens-video (<< 0.3.6-0ubuntu2),
Description: Interface designed for efficiency of space and interaction.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.

Package: unity-services
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Services for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains the D-Bus service used for unity.

Package: libunity-core-6.0-9
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-services (= ${binary:Version}),
Conflicts: unity-common, libunity-core-6.0-6, libunity-core-6.0-7, libunity-core-6.0-8
Replaces: unity-common, libunity-core-6.0-6, libunity-core-6.0-7, libunity-core-6.0-8
Provides: unity-common, unity-common-7.0
Description: core library for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains shared libraries to be used by unity-3d.

Package: libunity-core-6.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libunity-core-6.0-9 (= ${binary:Version}),
         libglib2.0-dev,
         libsigc++-2.0-dev,
         libnux-4.0-dev (>= 4.0.5),
         libunity-dev (>= 7.1.0~),
         libdee-dev,
Description: Core library for the Unity interface - development files
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains development files for libraries to be used by unity.

Package: unity-autopilot
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         autopilot-desktop,
         python-windowmocker,
         gir1.2-appindicator3-0.1,
         gir1.2-dee-1.0,
         gir1.2-glib-2.0,
         gir1.2-ibus-1.0,
         gir1.2-unity-5.0,
         python-compizconfig,
         python-dbus,
         python-testtools,
         python-xdg,
         python-xlib,
         libxpathselect1.4 (>= 1.4),
         mesa-utils,
Description: Autopiloted tests for Unity
 Unity is tested automatically through autopilot, a framework which enables
 keyboard and mouse events to be triggered on the fly as well as object
 introspection.  This package contains the specific unity introspection
 bindings to be able to write tests in python as well as the full test suite
 for Unity.

Package: unity-2d
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: libunity-2d-private0
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: libunity-2d-private-dev
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-panel
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-spread
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-common
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-shell
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-dbg
Priority: extra
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.
